SELECT Код_стройматериала INTO #TmpTable FROM Справочник_стройматериалов
SET IDENTITY_INSERT Справочник_стройматериалов ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_стройматериала = 1) INSERT INTO Справочник_стройматериалов (Код_стройматериала,Описание) VALUES (1,'кирпич')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_стройматериала = 2) INSERT INTO Справочник_стройматериалов (Код_стройматериала,Описание) VALUES (2,'монолитный железобетон')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_стройматериала = 3) INSERT INTO Справочник_стройматериалов (Код_стройматериала,Описание) VALUES (3,'блочный железобетон')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_стройматериала = 4) INSERT INTO Справочник_стройматериалов (Код_стройматериала,Описание) VALUES (4,'железобетонные плиты')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_стройматериала = 5) INSERT INTO Справочник_стройматериалов (Код_стройматериала,Описание) VALUES (5,'сталь')

SET IDENTITY_INSERT Справочник_стройматериалов OFF
DROP TABLE #TmpTable
